Skip to main content
`Ctrl`+`K`

# DMPlexLandauAccess

Access to the distribution function with user callback

## Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode DMPlexLandauAccess(DM pack, Vec X, PetscErrorCode (*func)(DM, Vec, PetscInt, PetscInt, PetscInt, void *), void *user_ctx)

Collective

## Input Parameters

- pack - the `DMCOMPOSITE`

- func - call back function

- user_ctx - user context

## Input/Output Parameter

- X - Vector to data to

## See Also

`DMPlexLandauCreateVelocitySpace()`

## Level

advanced

## Location

src/ts/utils/dmplexlandau/plexland.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages